<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@804C=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@8434=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fuel">
    <script state="run">
      <action>maincpu.pb@844F=30</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@1993</action>
      <action>temp1 =maincpu.mb@4AA0</action>
      <action>temp2 =maincpu.mb@4F50</action>
      <action>temp3 =maincpu.mw@7C9F</action>
      <action>temp4 =maincpu.mb@7CD1</action>
    </script>
    <script state="run">
      <action>maincpu.mb@1993=C9</action>
      <action>maincpu.mb@4AA0=18</action> <!-- 1st = Object, 2nd = Course out (Side) -->
      <action>maincpu.mb@4F50=18</action> <!-- Course out (Front) -->
      <action>maincpu.mw@7C9F=1B18</action> <!-- Fail of landing -->
      <action>maincpu.mb@7CD1=00</action> <!-- Fail of landing out of course -->
    </script>
    <script state="off">
      <action>maincpu.mb@1993=temp0 </action>
      <action>maincpu.mb@4AA0=temp1 </action>
      <action>maincpu.mb@4F50=temp2 </action>
      <action>maincpu.mw@7C9F=temp3 </action>
      <action>maincpu.mb@7CD1=temp4 </action>
    </script>
  </cheat>

  <cheat desc="No Speed Down Out of Course">
    <script state="on">
      <action>temp0 =maincpu.mb@4AB9</action>
    </script>
    <script state="run">
      <action>maincpu.mb@4AB9=18</action>
    </script>
    <script state="off">
      <action>maincpu.mb@4AB9=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@8049=0A|(maincpu.pb@8049 BAND ~0A)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@8059=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@805A=03</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
